#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OpenSSL-DSA
Summary:	Crypt::OpenSSL::DSA - Digital Signature Algorithm using OpenSSL
Summary(pl.UTF-8):	Crypt::OpenSSL::DSA - algorytm DSA używający OpenSSL
Name:		perl-Crypt-OpenSSL-DSA
Version:	0.14
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	61d06e8fe9c12e96743989ff13c7ea73
URL:		http://search.cpan.org/dist/Crypt-OpenSSL-DSA/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	openssl-tools
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::DSA implements the DSA (Digital Signature Algorithm)
signature verification system.

%description -l pl.UTF-8
Moduł Crypt::OpenSSL::DSA jest implementacją systemu weryfikacji
podpisów DSA (Digital Signature Algorithm).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Crypt/OpenSSL/DSA/Signature.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/OpenSSL/DSA.pm
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/DSA
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/OpenSSL/DSA/DSA.so
%{_mandir}/man3/Crypt::OpenSSL::DSA*.3pm*
%changelog
* Tue Mar 22 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Crypt-OpenSSL-DSA.git;a=log;h=master

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 048300c
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> bc71075
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ae597d1
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 85d53f4
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 273fac9
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> cc40e85
- check-files cleanup, removed outdated comment

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> f5e57ad
- up to 0.14

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0a6aea2
- rebuild with perl 5.18.0
- release 9 (by relup.sh)

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> f81802d
- rel 8

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 3a3b18a
- release 7

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ea51218
- release 6

* Fri May 14 2010 sparky <sparky@pld-linux.org> e9139bf
- BR: openssl-tools, which

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e998f6
- release 5

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 8ecf33c
- release 4

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> bd64de4
- generic URL

* Sun Mar 02 2008 radek <radek@pld-linux.org> d8a25fe
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 95596e3
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 2e9093f
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fa6c394
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 269b81e
- converted to UTF-8

